Subject: Re: [bug?] tg3: Failed to load firmware "tigon/tg3_tso.bin"

From: Andi Kleen <[email-masked]>
Date: Fri, 04 Jul 2008 12:09:08 +0200

David Woodhouse <[email-masked]> writes:
>
> I'll look at making the requirement for 'make firmware_install' more
> obvious, or even making it happen automatically as part of
> 'modules_install'.

Perhaps I didn't pay enough attention, but how are "only 
boot bzImage without initrd or modules" setups supposed to work now
for those drivers? My testing setup relies on that heavily.

Will the firmware automatically end up in initramfs and be included
in the bzImage and loaded at the right point?

I hope we won't let lawyers decide technical topics here.

-Andi